Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.templates
Class ElemLiteralResult

    java.lang.Object
      |
      +--weblogic.apache.xml.utils.UnImplNode
            |
            +--weblogic.apache.xalan.templates.ElemTemplateElement
                  |
                  +--weblogic.apache.xalan.templates.ElemUse
                        |
                        +--weblogic.apache.xalan.templates.ElemLiteralResult

Direct Known Subclasses:
  ElemExtensionCall, ElemUnknown

public class ElemLiteralResult
extends ElemUse

Implement a Literal Result Element.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

See Also:
  literal-result-element in XSLT Specification, Serialized Form

Fields inherited from class weblogic.apache.xalan.templates.ElemTemplateElement
`m_docOrderNumber, m_hasVariableDecl, m_parentNode`

Constructor Summary
`ElemLiteralResult()`

Method Summary
`void` | `addLiteralResultAttribute(AVT avt)` Set a literal result attribute (AVTs only).
`void` | `addLiteralResultAttribute(java.lang.String att)` Set a literal result attribute (used for xsl attributes).
`void` | `compose(StylesheetRoot sroot)` This function is called after everything else has been recomposed, and allows the template to set remaining values that may be based on some other property that depends on recomposition.
`boolean` | `containsExcludeResultPrefix(java.lang.String prefix, java.lang.String uri)` Get whether or not the passed URL is flagged by the "extension-element-prefixes" or "exclude-result-prefixes" properties.
`boolean` | `containsExtensionElementURI(java.lang.String uri)` Find out if the given "extension-element-prefix" property is defined.
`java.util.Enumeration` | `enumerateLiteralResultAttributes()` Compiling templates requires that we be able to list the AVTs ADDED 9/5/2000 to support compilation experiment
`void` | `execute(TransformerImpl transformer)` Copy a Literal Result Element into the Result tree, copy the non-excluded namespace attributes, copy the attributes not of the XSLT namespace, and execute the children of the LRE.
`java.lang.String` | `getExtensionElementPrefix(int i)` Get an "extension-element-prefix" property.
`int` | `getExtensionElementPrefixCount()` Get the number of "extension-element-prefixes" Strings.
`boolean` | `getIsLiteralResultAsStylesheet()` Return whether this element represents a root element that is also the stylesheet element.
`AVT` | `getLiteralResultAttribute(java.lang.String name)` Get a literal result attribute by name.
`java.lang.String` | `getLocalName()` Get the local name of the Literal Result Element.
`java.lang.String` | `getNamespace()` Get the original namespace of the Literal Result Element.
`java.lang.String` | `getNodeName()` Return the node name.
`java.lang.String` | `getPrefix()` Get the prefix part of the raw name of the Literal Result Element.
`java.lang.String` | `getRawName()` Get the raw name of the Literal Result Element.
`java.lang.String` | `getVersion()` Get the "version" property.
`int` | `getXSLToken()` Get an int constant identifying the type of element.
`void` | `resolvePrefixTables()` Augment resolvePrefixTables, resolving the namespace aliases once the superclass has resolved the tables.
`void` | `setExcludeResultPrefixes(StringVector v)` Set the "exclude-result-prefixes" property.
`void` | `setExtensionElementPrefixes(StringVector v)` Set the "extension-element-prefixes" property.
`void` | `setIsLiteralResultAsStylesheet(boolean b)` Set whether this element represents a root element that is also the stylesheet element.
`void` | `setLocalName(java.lang.String localName)` Set the local name of the LRE.
`void` | `setNamespace(java.lang.String ns)` Set the namespace URI of the result element to be created.
`void` | `setRawName(java.lang.String rawName)` Set the raw name of the LRE.
`void` | `setVersion(java.lang.String v)` Set the "version" property.
`void` | `setXmlSpace(AVT avt)` Set the "xml:space" attribute.

Methods inherited from class weblogic.apache.xalan.templates.ElemUse
`applyAttrSets, getUseAttributeSets, setUseAttributeSets, setUseAttributeSets`

Methods inherited from class weblogic.apache.xalan.templates.ElemTemplateElement
`appendChild, appendChild, canStripWhiteSpace, compareTo, endCompose, error, error, error, getBaseIdentifier, getChildNodes, getColumnNumber, getDeclaredPrefixes, getDOMBackPointer, getFirstChild, getFirstChildElem, getLastChild, getLastChildElem, getLength, getLineNumber, getNamespaceForPrefix, getNamespaceForPrefix, getNextSibling, getNextSiblingElem, getNodeType, getOwnerDocument, getParentElem, getParentNode, getParentNodeElem, getPrefixes, getPreviousSibling, getPreviousSiblingElem, getPublicId, getStylesheet, getStylesheetComposed, getStylesheetRoot, getSystemId, getTagName, getUid, getXmlSpace, hasChildNodes, hasTextLitOnly, hasVariableDecl, isCompiledTemplate, isValidNCName, item, recompose, removeChild, replaceChild, replaceChild, runtimeInit, setDOMBackPointer, setLocaterInfo, setParentElem, setPrefixes, setPrefixes, setUid, setXmlSpace, shouldStripWhiteSpace`

Methods inherited from class weblogic.apache.xml.utils.UnImplNode
`adoptNode, appendData, cloneNode, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, deleteData, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDoctype, getDocumentElement, getElementById, getElementsByTagName, getElementsByTagNameNS, getEncoding, getImplementation, getNamespaceURI, getNodeValue, getOwnerElement, getSpecified, getStandalone, getStrictErrorChecking, hasAttribute, hasAttributeNS, hasAttributes, importNode, insertBefore, insertData, isSupported, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceData, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setData, setEncoding, setNodeValue, setPrefix, setStandalone, setStrictErrorChecking, setValue, splitText, substringData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElemLiteralResult

    public ElemLiteralResult()

Method Detail

### setIsLiteralResultAsStylesheet

    public void setIsLiteralResultAsStylesheet(boolean b)

  Set whether this element represents a root element that is also the stylesheet element.

  Parameters:
    `b` - boolean flag indicating whether this element represents a root element that is also the stylesheet element.

### getIsLiteralResultAsStylesheet

    public boolean getIsLiteralResultAsStylesheet()

  Return whether this element represents a root element that is also the stylesheet element.

  Returns:
    boolean flag indicating whether this element represents a root element that is also the stylesheet element.

### compose

    public void compose(StylesheetRoot sroot)
                 throws javax.xml.transform.TransformerException

  This function is called after everything else has been recomposed, and allows the template to set remaining values that may be based on some other property that depends on recomposition.

  Overrides:
    compose in class ElemTemplateElement

### addLiteralResultAttribute

    public void addLiteralResultAttribute(AVT avt)

  Set a literal result attribute (AVTs only).

  Parameters:
    `avt` - literal result attribute to add (AVT only)

### addLiteralResultAttribute

    public void addLiteralResultAttribute(java.lang.String att)

  Set a literal result attribute (used for xsl attributes).

  Parameters:
    `att` - literal result attribute to add

### setXmlSpace

    public void setXmlSpace(AVT avt)

  Set the "xml:space" attribute. A text node is preserved if an ancestor element of the text node has an xml:space attribute with a value of preserve, and no closer ancestor element has xml:space with a value of default.

  Parameters:
    `v` - Enumerated value, either Constants.ATTRVAL_PRESERVE or Constants.ATTRVAL_STRIP.
  See Also:
    strip in XSLT Specification, section-Creating-Text in XSLT Specification

### getLiteralResultAttribute

    public AVT getLiteralResultAttribute(java.lang.String name)

  Get a literal result attribute by name.

  Parameters:
    `name` - Name of literal result attribute to get
  Returns:
    literal result attribute (AVT)

### containsExcludeResultPrefix

    public boolean containsExcludeResultPrefix(java.lang.String prefix,
                                               java.lang.String uri)

  Get whether or not the passed URL is flagged by the "extension-element-prefixes" or "exclude-result-prefixes" properties.

  Parameters:
    `prefix` - non-null reference to prefix that might be excluded.(not currently used)
    `uri` - reference to namespace that prefix maps to
  Returns:
    true if the prefix should normally be excluded.
  Overrides:
    containsExcludeResultPrefix in class ElemTemplateElement
  See Also:
    extension-element in XSLT Specification

### resolvePrefixTables

    public void resolvePrefixTables()
                             throws javax.xml.transform.TransformerException

  Augment resolvePrefixTables, resolving the namespace aliases once the superclass has resolved the tables.

  Throws:
    javax.xml.transform.TransformerException -
  Overrides:
    resolvePrefixTables in class ElemTemplateElement

### setNamespace

    public void setNamespace(java.lang.String ns)

  Set the namespace URI of the result element to be created. Note that after resolvePrefixTables has been called, this will return the aliased result namespace, not the original stylesheet namespace.

  Parameters:
    `ns` - The Namespace URI, or the empty string if the element has no Namespace URI.

### getNamespace

    public java.lang.String getNamespace()

  Get the original namespace of the Literal Result Element. %REVIEW% Why isn't this overriding the getNamespaceURI method rather than introducing a new one?

  Returns:
    The Namespace URI, or the empty string if the element has no Namespace URI.

### setLocalName

    public void setLocalName(java.lang.String localName)

  Set the local name of the LRE.

  Parameters:
    `localName` - The local name (without prefix) of the result element to be created.

### getLocalName

    public java.lang.String getLocalName()

  Get the local name of the Literal Result Element. Note that after resolvePrefixTables has been called, this will return the aliased name prefix, not the original stylesheet namespace prefix.

  Returns:
    The local name (without prefix) of the result element to be created.
  Overrides:
    getLocalName in class UnImplNode

### setRawName

    public void setRawName(java.lang.String rawName)

  Set the raw name of the LRE.

  Parameters:
    `rawName` - The qualified name (with prefix), or the empty string if qualified names are not available.

### getRawName

    public java.lang.String getRawName()

  Get the raw name of the Literal Result Element.

  Returns:
    The qualified name (with prefix), or the empty string if qualified names are not available.

### getPrefix

    public java.lang.String getPrefix()

  Get the prefix part of the raw name of the Literal Result Element.

  Returns:
    The prefix, or the empty string if noprefix was provided.
  Overrides:
    getPrefix in class UnImplNode

### setExtensionElementPrefixes

    public void setExtensionElementPrefixes(StringVector v)

  Set the "extension-element-prefixes" property.

  Parameters:
    `v` - Vector of URIs (not prefixes) to set as the "extension-element-prefixes" property
  See Also:
    extension-element in XSLT Specification

### getExtensionElementPrefix

    public java.lang.String getExtensionElementPrefix(int i)
                                               throws java.lang.ArrayIndexOutOfBoundsException

  Get an "extension-element-prefix" property.

  Parameters:
    `i` - Index of URI ("extension-element-prefix" property) to get
  Returns:
    URI at given index ("extension-element-prefix" property)
  Throws:
    java.lang.ArrayIndexOutOfBoundsException -
  See Also:
    extension-element in XSLT Specification

### getExtensionElementPrefixCount

    public int getExtensionElementPrefixCount()

  Get the number of "extension-element-prefixes" Strings.

  Returns:
    the number of "extension-element-prefixes" Strings
  See Also:
    extension-element in XSLT Specification

### containsExtensionElementURI

    public boolean containsExtensionElementURI(java.lang.String uri)

  Find out if the given "extension-element-prefix" property is defined.

  Parameters:
    `uri` - The URI to find
  Returns:
    True if the given URI is found
  See Also:
    extension-element in XSLT Specification

### getXSLToken

    public int getXSLToken()

  Get an int constant identifying the type of element.

  Returns:
    The token ID for this element
  Overrides:
    getXSLToken in class ElemTemplateElement
  See Also:
    `Constants`

### getNodeName

    public java.lang.String getNodeName()

  Return the node name.

  Returns:
    The element's name
  Overrides:
    getNodeName in class ElemTemplateElement

### setVersion

    public void setVersion(java.lang.String v)

  Set the "version" property.

  Parameters:
    `v` - Version property value to set
  Overrides:
    setVersion in class UnImplNode
  See Also:
    forwards in XSLT Specification

### getVersion

    public java.lang.String getVersion()

  Get the "version" property.

  Returns:
    Version property value
  Overrides:
    getVersion in class UnImplNode
  See Also:
    forwards in XSLT Specification

### setExcludeResultPrefixes

    public void setExcludeResultPrefixes(StringVector v)

  Set the "exclude-result-prefixes" property. The designation of a namespace as an excluded namespace is effective within the subtree of the stylesheet rooted at the element bearing the exclude-result-prefixes or xsl:exclude-result-prefixes attribute; a subtree rooted at an xsl:stylesheet element does not include any stylesheets imported or included by children of that xsl:stylesheet element.

  Parameters:
    `v` - vector of prefixes that are resolvable to strings.
  See Also:
    literal-result-element in XSLT Specification

### execute

    public void execute(TransformerImpl transformer)
                 throws javax.xml.transform.TransformerException

  Copy a Literal Result Element into the Result tree, copy the non-excluded namespace attributes, copy the attributes not of the XSLT namespace, and execute the children of the LRE.

  Parameters:
    `transformer` - non-null reference to the the current transform-time state.
    `sourceNode` - non-null reference to the current source node.
    `mode` - reference, which may be null, to the current mode.
  Throws:
    javax.xml.transform.TransformerException -
  Overrides:
    execute in class ElemUse
  See Also:
    literal-result-element in XSLT Specification

### enumerateLiteralResultAttributes

    public java.util.Enumeration enumerateLiteralResultAttributes()

  Compiling templates requires that we be able to list the AVTs ADDED 9/5/2000 to support compilation experiment

  Returns:
    an Enumeration of the literal result attributes associated with this element.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference